Core - Task # 40966

Status: Resolved Priority: Should have

Author: Arvid Jakobsson Category: Code Cleanup

Created: 2012-09-16 Assigned To: Arvid Jakobsson

Updated: 2012-09-17 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Superfluous brackets in sysext sysexts "func_wizards", "impexp", "indexed_search" and "info" after
namespaces move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"|[$table]['ctrl']['sortby") {

Associated revisions

Revision 6d68b2d6 - 2012-09-17 09:39 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts
Removes superfluous parenthesis in sysexts "func_wizards", "impexp",

"indexed_search" and "info".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ib367bc98070cb9bf83500955f5ba7dee1872f607
Resolves: #40966

Related: #40095

Reviewed-on: http:/review.typo3.org/14625

Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 21:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14625

#2 - 2012-09-16 22:09 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14625

#3 - 2012-09-16 22:20 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14625

#4 - 2012-09-17 10:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6d68b2d655a1a4c87b6c6f9b3dc3088007e08851.
